ReferenceAPIOperationsIntegrations
Sync integration installations
- **GitHub**: Fetches GitHub App installations and syncs their repositories. - **GitLab**: Refreshes accessible projects for linked accounts and syncs them as repositories.
Operation ID
sync_installations- GitHub: Fetches GitHub App installations and syncs their repositories.
- GitLab: Refreshes accessible projects for linked accounts and syncs them as repositories.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Integration ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/integrations/string/installations" \ -H "Content-Type: application/json" \ -d '{}'{ "installations": [ { "account_name": "string", "account_type": "string", "created_at": 0, "external_id": "string", "id": "string", "integration_id": "string" } ]}